package com.imageresizer.utility;

import android.graphics.Bitmap;
import android.util.Log;

import com.facebook.react.bridge.ReadableMap;
public class StaticOptions {
    private final String TAG = "ReactNative";
    public int width = 0;
    public int height = 0;
    public Bitmap.CompressFormat outFormat = Bitmap.CompressFormat.WEBP;
    public String scaleMode;

    public int quality = 100;
    public StaticOptions(ReadableMap options) {
        if(options.hasKey("width")) width = options.getInt("width");
        if(options.hasKey("height")) height = options.getInt("height");
        if(options.hasKey("quality")) quality = options.getInt("quality");
        if(options.hasKey("mode")) scaleMode = options.getString("mode");

        if (options.hasKey("outFormat")) {
            try {
                outFormat = Bitmap.CompressFormat.valueOf(options.getString("outFormat"));
            } catch (IllegalArgumentException e) {
                // Handle the case when the format is not recognized, use default value
                Log.d(TAG, " "+e.getMessage());
                outFormat = Bitmap.CompressFormat.WEBP;
            }
        }
    }
}
